/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TASKPROBE_BPF_SKEL_H__
#define __TASKPROBE_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct taskprobe_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *args_map;
		struct bpf_map *g_thread_map;
		struct bpf_map *g_proc_map;
	} maps;
	struct {
		struct bpf_program *bpf_raw_trace_sched_process_exit;
	} progs;
	struct {
		struct bpf_link *bpf_raw_trace_sched_process_exit;
	} links;

#ifdef __cplusplus
	static inline struct taskprobe_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct taskprobe_bpf *open_and_load();
	static inline int load(struct taskprobe_bpf *skel);
	static inline int attach(struct taskprobe_bpf *skel);
	static inline void detach(struct taskprobe_bpf *skel);
	static inline void destroy(struct taskprobe_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
taskprobe_bpf__destroy(struct taskprobe_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
taskprobe_bpf__create_skeleton(struct taskprobe_bpf *obj);

static inline struct taskprobe_bpf *
taskprobe_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct taskprobe_bpf *obj;
	int err;

	obj = (struct taskprobe_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = taskprobe_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	taskprobe_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct taskprobe_bpf *
taskprobe_bpf__open(void)
{
	return taskprobe_bpf__open_opts(NULL);
}

static inline int
taskprobe_bpf__load(struct taskprobe_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct taskprobe_bpf *
taskprobe_bpf__open_and_load(void)
{
	struct taskprobe_bpf *obj;
	int err;

	obj = taskprobe_bpf__open();
	if (!obj)
		return NULL;
	err = taskprobe_bpf__load(obj);
	if (err) {
		taskprobe_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
taskprobe_bpf__attach(struct taskprobe_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
taskprobe_bpf__detach(struct taskprobe_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *taskprobe_bpf__elf_bytes(size_t *sz);

static inline int
taskprobe_bpf__create_skeleton(struct taskprobe_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "taskprobe_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "nm_obj_map";
	s->maps[2].map = &obj->maps.nm_obj_map;

	s->maps[3].name = "proc_obj_map";
	s->maps[3].map = &obj->maps.proc_obj_map;

	s->maps[4].name = "args_map";
	s->maps[4].map = &obj->maps.args_map;

	s->maps[5].name = "g_thread_map";
	s->maps[5].map = &obj->maps.g_thread_map;

	s->maps[6].name = "g_proc_map";
	s->maps[6].map = &obj->maps.g_proc_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_raw_trace_sched_process_exit";
	s->progs[0].prog = &obj->progs.bpf_raw_trace_sched_process_exit;
	s->progs[0].link = &obj->links.bpf_raw_trace_sched_process_exit;

	s->data = (void *)taskprobe_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *taskprobe_bpf__elf_bytes(size_t *sz)
{
	*sz = 4704;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x0c\0\x79\x16\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x10\x08\0\0\xbf\xa1\
\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\
\0\0\x61\xa7\xfc\xff\0\0\0\0\x07\x06\0\0\x14\x08\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\
\x04\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x5d\x17\x06\0\0\0\0\0\x63\x7a\xfc\xff\0\0\0\
\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\x03\0\0\0\x63\x7a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x03\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc4\
\x04\0\0\xc4\x04\0\0\x73\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\x02\x0a\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\
\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\
\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\
\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\
\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x50\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\
\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\
\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x09\
\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x19\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x05\0\0\0\x80\0\0\0\x32\0\0\0\x01\0\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\x0e\x1b\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x68\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x1d\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\
\0\0\xc0\0\0\0\x7e\0\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x22\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xd8\x01\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x21\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x8b\0\0\0\0\0\0\x0e\x23\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x26\0\0\0\x96\0\0\0\x01\0\0\x04\0\0\0\0\xae\
\0\0\0\x29\0\0\0\0\0\0\0\xb3\0\0\0\0\0\0\x08\x28\0\0\0\xb9\0\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\xd0\0\0\0\x25\0\0\0\xd4\0\0\0\x01\0\0\x0c\x2a\0\0\0\x55\
\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x2c\0\0\0\
\x04\0\0\0\x04\0\0\0\x5a\x03\0\0\0\0\0\x0e\x2d\0\0\0\x01\0\0\0\x65\x03\0\0\x07\
\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\0\x16\0\
\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\x1c\0\0\0\0\0\0\0\x20\0\0\0\
\x20\0\0\0\0\0\0\0\x20\0\0\0\x24\0\0\0\0\0\0\0\x20\0\0\0\x6b\x03\0\0\x01\0\0\
\x0f\0\0\0\0\x2e\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\
\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\
\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\
\x62\x6a\x5f\x6d\x61\x70\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x67\x5f\x74\x68\
\x72\x65\x61\x64\x5f\x6d\x61\x70\0\x67\x5f\x70\x72\x6f\x63\x5f\x6d\x61\x70\0\
\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\
\x61\x72\x67\x73\0\x61\x72\x67\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\
\x78\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x5f\x73\x63\x68\x65\
\x64\x5f\x70\x72\x6f\x63\x65\x73\x73\x5f\x65\x78\x69\x74\0\x72\x61\x77\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\x5f\x70\x72\x6f\
\x63\x65\x73\x73\x5f\x65\x78\x69\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\
\x2d\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x32\x2f\x73\x72\x63\x2f\x70\
\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\
\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\
\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2e\x62\x70\x66\x2e\x63\0\x20\x20\x20\
\x20\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\
\x2a\x20\x74\x61\x73\x6b\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x74\x61\
\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x2a\x29\x63\x74\x78\x2d\x3e\x61\x72\x67\
\x73\x5b\x30\x5d\x3b\0\x20\x20\x20\x20\x69\x6e\x74\x20\x70\x69\x64\x20\x3d\x20\
\x5f\x28\x74\x61\x73\x6b\x2d\x3e\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x6e\
\x74\x20\x74\x67\x69\x64\x20\x3d\x20\x5f\x28\x74\x61\x73\x6b\x2d\x3e\x74\x67\
\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x70\x69\x64\x20\x3d\x3d\x20\
\x74\x67\x69\x64\x29\x20\x7b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x72\x70\
\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\
\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x32\x2f\x73\x72\x63\x2f\x70\x72\x6f\
\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\
\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\x2e\
\x2f\x70\x72\x6f\x63\x5f\x6d\x61\x70\x2e\x68\0\x20\x20\x20\x20\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\x5f\x65\
\x6c\x65\x6d\x28\x26\x67\x5f\x70\x72\x6f\x63\x5f\x6d\x61\x70\x2c\x20\x26\x70\
\x72\x6f\x63\x5f\x69\x64\x29\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x72\
\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\
\x67\x6f\x70\x68\x65\x72\x2d\x31\x2e\x30\x2e\x32\x2f\x73\x72\x63\x2f\x70\x72\
\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\
\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\
\x2e\x2f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\x2e\x68\0\x20\x20\x20\x20\x72\
\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\
\x65\x5f\x65\x6c\x65\x6d\x28\x26\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\
\x70\x2c\x20\x26\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x14\0\0\0\x14\0\0\0\xdc\0\0\0\xf0\0\0\0\0\0\0\0\x08\0\0\0\xf5\0\0\0\x01\0\0\
\0\0\0\0\0\x2b\0\0\0\x10\0\0\0\xf5\0\0\0\x0d\0\0\0\0\0\0\0\x17\x01\0\0\x7e\x01\
\0\0\x35\x70\0\0\x08\0\0\0\x17\x01\0\0\xc0\x01\0\0\x0f\x74\0\0\x20\0\0\0\x17\
\x01\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x17\x01\0\0\xc0\x01\0\0\x0f\x74\0\0\x40\0\0\
\0\x17\x01\0\0\xdc\x01\0\0\x10\x78\0\0\x50\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\x17\x01\0\0\xdc\x01\0\0\x10\x78\0\0\x78\0\0\0\x17\x01\0\0\xfa\x01\0\
\0\x09\x80\0\0\x90\0\0\0\x11\x02\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\x11\x02\0\0\x75\
\x02\0\0\x0c\xc4\0\0\xc0\0\0\0\xac\x02\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\xac\x02\0\
\0\x12\x03\0\0\x0c\xb8\0\0\xe0\0\0\0\x17\x01\0\0\x47\x03\0\0\x05\x94\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\0\0\x02\0\xb0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8f\0\
\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x61\0\0\0\x11\0\x04\0\x80\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x12\0\x02\0\0\0\0\0\0\0\0\0\xf0\0\0\0\
\0\0\0\0\x6a\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xcf\0\0\0\
\x11\0\x03\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xae\0\0\0\x11\0\x04\0\xc0\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\xa1\0\0\0\x11\0\x04\0\xa0\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x77\0\0\0\x11\0\x04\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x82\0\0\0\x11\
\0\x04\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x08\0\
\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x74\x04\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\x80\x04\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x8c\x04\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\
\x98\x04\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\xa4\x04\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\xb0\x04\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\xbc\x04\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\xd4\x04\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x0c\x0e\x0a\x0d\x11\x12\x0b\x10\x0f\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\
\x63\x65\x5f\x73\x63\x68\x65\x64\x5f\x70\x72\x6f\x63\x65\x73\x73\x5f\x65\x78\
\x69\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x2f\x73\x63\x68\x65\x64\x5f\x70\x72\x6f\x63\x65\x73\x73\x5f\x65\x78\x69\
\x74\0\x2e\x6d\x61\x70\x73\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x63\x67\x72\x70\
\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\
\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\x6f\x62\x65\
\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\
\x6d\x61\x70\0\x67\x5f\x70\x72\x6f\x63\x5f\x6d\x61\x70\0\x2e\x6c\x6c\x76\x6d\
\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\x6c\
\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\
\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x32\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x5b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\
\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x4f\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\x0a\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x78\x0b\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x0c\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x35\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\x0c\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x07\0\0\0\x02\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xea\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb8\x0c\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x07\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0d\
\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x07\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\xb9\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0e\0\
\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xda\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x0e\0\0\0\0\0\0\xfa\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct taskprobe_bpf *taskprobe_bpf::open(const struct bpf_object_open_opts *opts) { return taskprobe_bpf__open_opts(opts); }
struct taskprobe_bpf *taskprobe_bpf::open_and_load() { return taskprobe_bpf__open_and_load(); }
int taskprobe_bpf::load(struct taskprobe_bpf *skel) { return taskprobe_bpf__load(skel); }
int taskprobe_bpf::attach(struct taskprobe_bpf *skel) { return taskprobe_bpf__attach(skel); }
void taskprobe_bpf::detach(struct taskprobe_bpf *skel) { taskprobe_bpf__detach(skel); }
void taskprobe_bpf::destroy(struct taskprobe_bpf *skel) { taskprobe_bpf__destroy(skel); }
const void *taskprobe_bpf::elf_bytes(size_t *sz) { return taskprobe_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
taskprobe_bpf__assert(struct taskprobe_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TASKPROBE_BPF_SKEL_H__ */
